/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "chunk.h"
#include "entity/entity.h"

typedef struct {
  uint8_t layerBase[CHUNK_TILE_COUNT];
  uint8_t layerBaseOverlay[CHUNK_TILE_COUNT];
  entity_t entities[CHUNK_ENTITY_COUNT_MAX];
} chunkdata_t;